For the complete documentation index, see llms.txt. This page is also available as Markdown.

Preference

Perform various operations on preference records.

Symitar eDocs References: Coming soon.

Operations

getPreferenceSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PreferenceLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getPreferenceSelectFields
POST /nexum/627/persistent/account/getPreferenceSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 400

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PreferenceLocator": 2,
  "SelectableFields": {
    "IncludeAllPreferenceFields": false,
    "PreferenceFields": {
      "Locator": true,
      "Type": true,
      "RecordChangeDate": true,
      "HbUsername": true,
      "HbEnable": true,
      "AudioEnable": true,
      "Language": true,
      "Reference": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Preference": {
    "Locator": 2,
    "Type": 0,
    "RecordChangeDate": "2010-04-25",
    "HbUsername": "TEST13824",
    "HbEnable": 2,
    "AudioEnable": 2,
    "Language": 0,
    "Reference": "SETH A ZAMORA"
  },
  "MessageId": "getPreferenceSelectFields"
}

getPreferenceSelectFieldsFilterChildren

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PreferenceLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getPreferenceSelectFieldsFilterChildren
POST /nexum/627/persistent/account/getPreferenceSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 317

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PreferenceLocator": 2,
  "SelectableFields": {
    "IncludeAllPreferenceFields": true
  },
  "ChildrenSearchFilter": {
    "PreferenceAccessFilter": {
      "Query": "example-query"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Preference": {
    "Locator": 2,
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getPreferenceSelectFieldsFilterChildren"
}

getPreferencePagedListSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getPreferencePagedListSelectFields
POST /nexum/627/persistent/account/getPreferencePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 457

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPreferenceFields": false,
    "PreferenceFields": {
      "Locator": true,
      "Type": true,
      "RecordChangeDate": true,
      "HbUsername": true,
      "HbEnable": true,
      "AudioEnable": true,
      "Language": true,
      "Reference": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Preference": [
    {
      "Locator": 2,
      "Type": 0,
      "RecordChangeDate": "2010-04-25",
      "HbUsername": "TEST13824",
      "HbEnable": 2,
      "AudioEnable": 2,
      "Language": 0,
      "Reference": "SETH A ZAMORA"
    }
  ],
  "Token": null,
  "MessageId": "getPreferencePagedListSelectFields"
}

searchPreferencePagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchPreferencePagedSelectFields
POST /nexum/627/persistent/account/searchPreferencePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 477

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "Query": "LOCATOR=2",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPreferenceFields": false,
    "PreferenceFields": {
      "Locator": true,
      "Type": true,
      "RecordChangeDate": true,
      "HbUsername": true,
      "HbEnable": true,
      "AudioEnable": true,
      "Language": true,
      "Reference": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Preference": [
    {
      "Locator": 2,
      "Type": 0,
      "RecordChangeDate": "2010-04-25",
      "HbUsername": "TEST13824",
      "HbEnable": 2,
      "AudioEnable": 2,
      "Language": 0,
      "Reference": "SETH A ZAMORA"
    }
  ],
  "Token": null,
  "MessageId": "searchPreferencePagedSelectFields"
}

getPreferenceAccessSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PreferenceLocatorintegerOptional
PreferenceAccessLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getPreferenceAccessSelectFields
POST /nexum/627/persistent/account/getPreferenceAccessSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 277

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PreferenceLocator": 2,
  "PreferenceAccessLocator": 276,
  "SelectableFields": {
    "IncludeAllPreferenceAccessFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PreferenceAccess": {
    "Locator": 2,
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getPreferenceAccessSelectFields"
}

getPreferenceAccessPagedListSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PreferenceLocatorintegerOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getPreferenceAccessPagedListSelectFields
POST /nexum/627/persistent/account/getPreferenceAccessPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 522

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PreferenceLocator": 2,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPreferenceAccessFields": false,
    "PreferenceAccessFields": {
      "Locator": true,
      "AccessType": true,
      "AccountNumber": true,
      "Id": true,
      "IdType": true,
      "EnableInquiry": true,
      "EnableDeposit": true,
      "EnableWithdrawal": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PreferenceAccess": [],
  "Token": null,
  "MessageId": "getPreferenceAccessPagedListSelectFields"
}

searchPreferenceAccessPagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PreferenceLocatorintegerOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchPreferenceAccessPagedSelectFields
POST /nexum/627/persistent/account/searchPreferenceAccessPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 542

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PreferenceLocator": 2,
  "Query": "LOCATOR=0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPreferenceAccessFields": false,
    "PreferenceAccessFields": {
      "Locator": true,
      "AccessType": true,
      "AccountNumber": true,
      "Id": true,
      "IdType": true,
      "EnableInquiry": true,
      "EnableDeposit": true,
      "EnableWithdrawal": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PreferenceAccess": [],
  "Token": null,
  "MessageId": "searchPreferenceAccessPagedSelectFields"
}

updatePreferenceByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PreferenceLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updatePreferenceByID
POST /nexum/627/persistent/account/updatePreferenceByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 272

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PreferenceLocator": 275,
  "PreferenceFields": {
    "Type": 0,
    "HbUsername": "NXW4PREFU",
    "HbEnable": 0,
    "AudioEnable": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": null,
    "Version_1": null,
    "_value_1": null
  },
  "MessageId": "updatePreferenceByID"
}

updatePreferenceAccessByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PreferenceLocatorintegerOptional
PreferenceAccessLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updatePreferenceAccessByID
POST /nexum/627/persistent/account/updatePreferenceAccessByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 382

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PreferenceLocator": 275,
  "PreferenceAccessLocator": 276,
  "PreferenceAccessFields": {
    "AccessType": 0,
    "AccountNumber": "0000013324",
    "IdType": 0,
    "Id": "0020",
    "EnableInquiry": 0,
    "EnableDeposit": 0,
    "EnableWithdrawal": 0,
    "EnableFm": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": null,
    "Version_1": null,
    "_value_1": null
  },
  "MessageId": "updatePreferenceAccessByID"
}

createPreference

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
PreferenceLocatorintegerOptional
post/createPreference
POST /nexum/627/persistent/account/createPreference HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 247

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PreferenceFields": {
    "Type": 0,
    "HbUsername": "NXW4PREF",
    "HbEnable": 0,
    "AudioEnable": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PreferenceLocator": 275,
  "MessageId": "createPreference"
}

createPreferenceAccess

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PreferenceLocatorintegerOptional
Responses
200

Successful operation.

application/json
PreferenceAccessLocatorintegerOptional
post/createPreferenceAccess
POST /nexum/627/persistent/account/createPreferenceAccess HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 352

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PreferenceLocator": 275,
  "PreferenceAccessFields": {
    "AccessType": 0,
    "AccountNumber": "0000013324",
    "IdType": 0,
    "Id": "0020",
    "EnableInquiry": 0,
    "EnableDeposit": 0,
    "EnableWithdrawal": 0,
    "EnableFm": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PreferenceAccessLocator": 276,
  "MessageId": "createPreferenceAccess"
}

deletePreference

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PreferenceLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deletePreference
POST /nexum/627/persistent/account/deletePreference HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 188

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PreferenceLocator": 275,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MessageId": "deletePreference"
}

deletePreferenceAccess

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
PreferenceLocatorintegerOptional
PreferenceAccessLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deletePreferenceAccess
POST /nexum/627/persistent/account/deletePreferenceAccess HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 218

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PreferenceLocator": 275,
  "PreferenceAccessLocator": 276,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MessageId": "deletePreferenceAccess"
}

Last updated

Was this helpful?